---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfmodw006.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50C20, symBinAddr: 0x6640, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52B60, symBinAddr: 0x8580, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52F50, symBinAddr: 0x8970, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53EF0, symBinAddr: 0x9910, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53F00, symBinAddr: 0x9920, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50750, symBinAddr: 0x63B0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50754, symBinAddr: 0x63B4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50758, symBinAddr: 0x63B8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x508B0, symBinAddr: 0x63C0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50968, symBinAddr: 0x6478, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5096C, symBinAddr: 0x647C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50970, symBinAddr: 0x6480, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50974, symBinAddr: 0x6484, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50978, symBinAddr: 0x6488, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50980, symBinAddr: 0x6490, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50998, symBinAddr: 0x64A8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x509A0, symBinAddr: 0x64B0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x509A8, symBinAddr: 0x64B8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x509B0, symBinAddr: 0x64C0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x509B8, symBinAddr: 0x64C8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL7watches, symObjAddr: 0xDF50, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x9152, offset: 0x9152, size: 0x8, addend: 0x0, symName: __ZL11missesCount, symObjAddr: 0x509FC, symBinAddr: 0x64DC, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x50A00, symBinAddr: 0x64E0, symSize: 0x0 }
  - { offsetInCU: 0x918B, offset: 0x918B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50A08, symBinAddr: 0x64E8, symSize: 0x0 }
  - { offsetInCU: 0x91A4, offset: 0x91A4, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50A10, symBinAddr: 0x64F0, symSize: 0x0 }
  - { offsetInCU: 0x91BD, offset: 0x91BD, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50A20, symBinAddr: 0x6500, symSize: 0x0 }
  - { offsetInCU: 0x91D6, offset: 0x91D6, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x50B58, symBinAddr: 0x6638, symSize: 0x0 }
  - { offsetInCU: 0x922F, offset: 0x922F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x14B0, symSize: 0x80 }
  - { offsetInCU: 0x92C4, offset: 0x92C4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1400, symSize: 0xB0 }
  - { offsetInCU: 0x931F, offset: 0x931F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1300, symSize: 0x100 }
  - { offsetInCU: 0x95B2, offset: 0x95B2, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1530, symSize: 0x220 }
  - { offsetInCU: 0x9797, offset: 0x9797, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1750, symSize: 0xA0 }
  - { offsetInCU: 0x984A, offset: 0x984A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x17F0, symSize: 0x110 }
  - { offsetInCU: 0x9940, offset: 0x9940, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1900, symSize: 0x150 }
  - { offsetInCU: 0x9A71, offset: 0x9A71, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1A50, symSize: 0x30 }
  - { offsetInCU: 0x9B32, offset: 0x9B32, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1A80, symSize: 0x150 }
  - { offsetInCU: 0x9D2A, offset: 0x9D2A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1BD0, symSize: 0x160 }
  - { offsetInCU: 0x9EB6, offset: 0x9EB6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1D30, symSize: 0x1B0 }
  - { offsetInCU: 0xA0D1, offset: 0xA0D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1EE0, symSize: 0xA0 }
  - { offsetInCU: 0xA1A0, offset: 0xA1A0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1F80, symSize: 0x20 }
  - { offsetInCU: 0xA1D7, offset: 0xA1D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1FA0, symSize: 0x20 }
  - { offsetInCU: 0xA20E, offset: 0xA20E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1FC0, symSize: 0x20 }
  - { offsetInCU: 0xA37D, offset: 0xA37D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1FE0, symSize: 0x1A0 }
  - { offsetInCU: 0xA6A3, offset: 0xA6A3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2180, symSize: 0x80 }
  - { offsetInCU: 0xA76C, offset: 0xA76C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2200, symSize: 0x6A0 }
  - { offsetInCU: 0xB301, offset: 0xB301, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA160, symBinAddr: 0x34F0, symSize: 0xB0 }
  - { offsetInCU: 0xB378, offset: 0xB378, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x28A0, symSize: 0x70 }
  - { offsetInCU: 0xB434, offset: 0xB434, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2910, symSize: 0xA0 }
  - { offsetInCU: 0xB55F, offset: 0xB55F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x29B0, symSize: 0x40 }
  - { offsetInCU: 0xB655, offset: 0xB655, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x29F0, symSize: 0x2B0 }
  - { offsetInCU: 0xB9FB, offset: 0xB9FB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2CA0, symSize: 0xC0 }
  - { offsetInCU: 0xBB41, offset: 0xBB41, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2D60, symSize: 0x10 }
  - { offsetInCU: 0xBC03, offset: 0xBC03, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2D70, symSize: 0x220 }
  - { offsetInCU: 0xBF00, offset: 0xBF00, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2F90, symSize: 0x10 }
  - { offsetInCU: 0xBF5D, offset: 0xBF5D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2FA0, symSize: 0x150 }
  - { offsetInCU: 0xC12A, offset: 0xC12A, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D60, symBinAddr: 0x30F0, symSize: 0x10 }
  - { offsetInCU: 0xC187, offset: 0xC187, size: 0x8, addend: 0x0, symName: _FieldModification, symObjAddr: 0x9D70, symBinAddr: 0x3100, symSize: 0x1B0 }
  - { offsetInCU: 0xC24A, offset: 0xC24A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw006_getReady, symObjAddr: 0x9F20, symBinAddr: 0x32B0, symSize: 0x150 }
  - { offsetInCU: 0xC363, offset: 0xC363, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldModificationWatch_setfmodw006_check, symObjAddr: 0xA070, symBinAddr: 0x3400, symSize: 0xF0 }
  - { offsetInCU: 0xC3C9, offset: 0xC3C9, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA210, symBinAddr: 0x35A0, symSize: 0x36A }
...
